.autocomplete {
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}

/* ======= */
.btn-on-banner {
    overflow: hidden;
    position: relative;
}

.btn-on-banner:after,
.btn-on-banner:before {
    font-family: var(--bootstrap-icons);
    content: '\F138';
    position: absolute;
    top: 0;
    font-size: 30px;
    width: 100%;
    height: 100%;
    line-height: 62px;
    color: var(--white);
    transition: all ease 0.2s;
}

.btn-on-banner:after {
    left: 0;
    opacity: 1;
}

.btn-on-banner:before {
    left: -30px;
    opacity: 0;
}

.btn-on-banner:hover:after {
    left: 30px;
    opacity: 0;
}

.btn-on-banner:hover:before {
    left: 0;
    opacity: 1;
}

/* ======= */

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}



/* .fill-info {
    background: #f8f8f8;
} */
.fill-info-container {
    /* border: solid 1px #ccc;
    border-radius: 10px;
    background: var(--white);
    box-shadow: 10px 10px 25px rgba(0,0,0,0.05); */
    padding: 10px 20px 0 10px;
    max-width: 450px;
    margin: 0 auto;
    z-index: 9;
}
.fill-box {
    padding: 10px 0;
}
.fill-box .bi, .fic-header .edit-box, .icon-circle, .delete-btn {
    font-size: 15px;
    width: 34px;
    flex: 0 0 34px;
    height: 34px;
    background: var(--color-yellow);
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
}
.fic-header h4 {
    font-size: 20px;
}
.fic-header .edit-box {
    background: #333;
    color: var(--white);
}
.delete-btn, .delete-btn .bi {
    background: #dc3545;
    color: var(--white);
}
.fill-box .bi {
    color: var(--white);
    margin-right: 10px;
}
.fill-box .label {
    letter-spacing: 1px;
    font-size: 10px;
    font-weight: 500;
}
.fill-box h5 {
    font-size: 14px;
    margin-bottom: 0;
}
.fill-box h5 .badge {
    font-size: 14px;
    border-radius: 20px;
    text-align: left;
    font-weight: 500;
    white-space: break-spaces;
}
.fic-header {
    border-bottom: solid 1px #ddd;
}
/* @media (max-width:991px) {
    #yourMoveDetails {
        display: none;
    }
} */
@media (min-width:992px) {
    .mobile-collapse:not(.show) {
        display: block;
    }
}
@media (max-width:767px) {
    .fill-box h5 .badge {
        white-space: break-spaces;
    }
    .fic-header {
        border-bottom: solid 1px transparent;
    }
    .fic-body {
        border-top: solid 1px #ddd;
    }
    .fill-info-container {
        padding: 0px 20px 0 10px;
    }
    .bi-chevron-down.flip {
        transform: rotate(180deg);
    }
}
/* ========================= */
.form-box {
    border: solid 1px #ddd;
    border-radius: 5px;
    /* box-shadow: 5px 5px 15px rgba(0,0,0,0.15); */
    margin-bottom: 30px;
    /* background: #f9f9f9; */
}
.form-box-header {
    background: var(--color-primary);
    border-radius: 5px 5px 0 0;
}
.form-box-header h4 {
    font-size: 18px;
    line-height: 1.3 !important;
    color: var(--white);
}
.add-btn {
    display: flex;
    align-items: center;
    background: var(--white);
    border-color: var(--white);
    color: var(--color-primary);
    height: 34px;
}
.add-btn:hover {
    background: var(--white);
    border-color: var(--white);
    color: var(--color-primary);
}
.add-btn .bi {
    font-size: 20px;
}
@media(max-width:767px) {
    .add-btn {
        width: 34px;
        aspect-ratio: 1;
        padding: 0;
        display: flex;
        align-items: center;
        justify-content: center;
    }
}
.from-box-body {
    padding: 0 15px;
}
.form-box .form-control, .form-box .form-select, .bootstrap-select>.dropdown-toggle {
    border-radius: 5px;
    font-size: 14px;
    letter-spacing: 0;
    background: transparent;
    /* border-radius: 0;
    border: none;
    border-bottom: solid 1px #ccc;
    padding: 10px 0; */
    border: solid 1px #ddd;
}
.form-box .form-control {
    height: 35px;
    padding: 10px;
}
.form-box .form-control:focus, .form-box .form-select:focus {
    box-shadow: none;
}
.form-box .form-label {
    margin-bottom: 0.1rem;
    text-transform: uppercase;
    font-size: 12px;
    font-weight: 600;
    margin-bottom: 5px;
}

.bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {
    width: 100%;
}
.bootstrap-select>.dropdown-toggle {
    display: block;
    padding-left: 12px;
    font-weight: 400;
}
.bootstrap-select>.dropdown-toggle:focus {
    box-shadow: none;
    outline: none !important;
}
.dropdown-toggle::after {
    content: '\f282';
    border: none;
    font-family: bootstrap-icons !important;
    /* color: #fff; */
    position: absolute;
    right: 10px;
}
.nav-link.dropdown-toggle:after{right: auto;}@media(min-width:1200px) {.nav-link.dropdown-toggle:after{color: #000;}}
.form-box .dropup .dropdown-toggle::after {
    content: '\f282';
    border: none;
    font-family: bootstrap-icons !important;
    color: #000 ;
    position: absolute;
    right: 10px;
}
.bootstrap-select>.dropdown-toggle.bs-placeholder {
    color: #000;
    font-weight: 400;
}
.form-box .bi-phone-vibrate {
    font-size: 24px;
}
.vibrate {
    animation: vibrate 2s cubic-bezier(.36, .07, .19, .97) infinite;
}
@keyframes vibrate {
    0.50%, 10%, 20%, 30%, 40%, 50%
    {
      -webkit-transform: translate3d(0.5px, 0, 0);
      transform: translate3d(0.5px, 0, 0);
    }
    5%, 15%, 25%, 35%, 45%
    {
      -webkit-transform: translate3d(-0.5px, 0, 0);
      transform: translate3d(-0.5px, 0, 0);
    }
    100% {
      -webkit-transform: translate3d(0.5px, 0, 0);
      transform: translate3d(0.5px, 0, 0);
    }
}
.form-link h6 {
    font-size: 15px;
    font-weight: 600;
}

.clone_item {
    /* padding: 15px; */
    margin: 0 -15px 0;
    /* background: #f8f8f8; */
    /* border: solid 1px #ddd;
    border-radius: 10px; */
}
.clone_item .form-box-header {
    background: #ebebeb;
    color: #000;
    border-radius: 0;
}
.clone_item .form-box-header h4 {
    color: #000;
    font-family: 'Montserrat', sans-serif;
    font-size: 16px;
    font-weight: 600;
}

.form-icon {
    position: absolute;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    top: 0;
    width: calc(1rem + 24px);
    height: calc(2.125rem + 2px);
}
.form-icon-right {
    left: auto;
    right: -1px;
}
.fbh-subtitle {
    font-size: 14px !important;
    font-family: 'Montserrat', sans-serif !important;
}
.service-catalog .card-header{
    font-weight: 600;
}

.collapse-open-close{
    position: relative;
}
.card-header.collapsed .collapse-open-close::after {
    content: "+";
    display: block;
    font-size: 25px;
    font-weight: 300;
    line-height: 1;
    transform: rotate(360deg);
}
.card-header .collapse-open-close::after {
    content: "+";
    font-size: 25px;
    font-weight: 300;
    line-height: 1;
    transform: rotate(45deg);

}

.service-catalog{
    margin-bottom: 20px;
}
.service-catalog:last-child{
    margin-bottom: 0;
}
.service-catalog .card-header.collapsed{
    border-bottom: 0;
}
.service-catalog .card-body{
    position: relative;
    cursor: pointer;
}

.service-images img{
    width: 30px;
    margin-right: 10px;
}
.service-catalog .card button {
    position: absolute;
    top: 3px;
    right: 3px;
    width: 10px;
    height: 10px;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 8px;
}

.service-catalog .card > div{
padding: 16px;
}

